跳至內容

Kling Video v2.6 Motion Control [Pro]

整合

模型 id kling-video/v2.6/pro/motion-control
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/v2.6/pro/motion-control?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "character_orientation": "image"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

像範例一樣的檔案: $1.12 1,120 API 點數 您的檔案會在執行前計量 在此頁面執行

取得 API 金鑰

在 Doitong 上製作

Doitong 社群使用 Kling Video v2.6 製作的公開作品。一鍵重複使用提示詞。

顯示的公開作品:16
**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 影片

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 影片

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 影片

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 影片

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё к... 影片

Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё круче, масштабнее и в итоге превратить это в полноценный проект, чтобы в дальнейшем монетизировать свой блог. Путь к первой десятке объявляю открытым. Идём со мной? Мне нужно такое видео в трёх кадрах...

Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно ... 影片

Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно и с любовью смотрит на невесту, слегка улыбается и бережно касается её руки. Невеста мягко улыбается, немного поворачивает голову к жениху и смотрит на него с теплотой. Их движения естественные,...

The woman in the reference photo smiles naturally at the camera. Golden magical sparks begin swir... 影片

The woman in the reference photo smiles naturally at the camera. Golden magical sparks begin swirling around her body. Her eyes briefly glow with warm golden light. A beautiful black witch hat appears on her head, and her clothes magically transform into an elegant black-and-gold witch costume...

Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг... 影片

Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг», он закрывает за ней дверь и говорит «Пожалуйста, красотка» после того как она села в машину за руль, кролик немного отходит, девушка в дрифте уезжает, все в одной сцене. Съемка кинематографичная....

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

0 / 2500
•必填 image_url
拖放檔案,或

用於影片生成的參考圖像 URL,檔案大小上限為 10.0MB,寬度和高度各介於 340px 和 3850px 之間,寬高比介於 0.40 和 2.50 之間。此圖像會引導影片中的角色、背景和其他元素。對於角色,請確保身體比例清晰、沒有遮擋,且覆蓋圖像面積超過 5%。

•必填 video_url
拖放檔案,或

指向其角色動作將引導輸出的影片 URL;影片應顯示不受遮擋且具寫實風格的角色,頭部以及完整身體或上半身可見。character_orientation 設定會將 'image' 的長度限制為 10s,將 'video' 的長度限制為 30s。檔案限制:最多 100 MB,寬度和高度各介於 340px 和 3850px 之間,長度介於 3.0s 和 30.05s 之間。

character_orientation •必填

角色方向來源:'image' 會匹配參考圖像,更適合跟隨鏡頭移動,最長 10 秒。對於複雜動作,'video' 更適合:它會匹配參考影片的方向,並允許最長 30 秒。

進階 enable_safety_checker · keep_original_sound
POST /run/kling-video/v2.6/pro/motion-control?wait=20 報價 → $1.12
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/v2.6/pro/motion-control?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "character_orientation": "image"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Kling Video v2.6 Motion Control [Pro]

讓 `image_url` 中的角色執行 `video_url` 顯示的動作。`character_orientation` 會選擇輸出要跟隨影像或影片;影片選項適合最長 30 秒的複雜動作。可選擇提供文字 `prompt`,而 `keep_original_sound` 預設會保留參考影片的音訊。Pro 模式。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
enable_safety_checker選填
類型boolean
預設值true
只有經帳戶授權才能停用安全檢查;未經授權的請求一律會接受檢查。
prompt選填
類型string | null
≤ 2,500 個字元
image_url必填 image
類型url · image
用於影片生成的參考圖像 URL,檔案大小上限為 10.0MB,寬度和高度各介於 340px 和 3850px 之間,寬高比介於 0.40 和 2.50 之間。此圖像會引導影片中的角色、背景和其他元素。對於角色,請確保身體比例清晰、沒有遮擋,且覆蓋圖像面積超過 5%。
video_url必填 video
類型url · video
指向其角色動作將引導輸出的影片 URL;影片應顯示不受遮擋且具寫實風格的角色,頭部以及完整身體或上半身可見。character_orientation 設定會將 'image' 的長度限制為 10s,將 'video' 的長度限制為 30s。檔案限制:最多 100 MB,寬度和高度各介於 340px 和 3850px 之間,長度介於 3.0s 和 30.05s 之間。
keep_original_sound選填
類型boolean
預設值true
控制是否保留參考影片的原始聲音。
character_orientation必填
類型enum
imagevideo
角色方向來源:'image' 會匹配參考圖像,更適合跟隨鏡頭移動,最長 10 秒。對於複雜動作,'video' 更適合:它會匹配參考影片的方向,並允許最長 30 秒。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/v2.6/pro/motion-control",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1120,
    "usd": "1.12",
    "charged": 1120,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "character_orientation": "image"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size}模型產生的影片。

更多模型:影片轉影片

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/kling-video/v2.6/pro/motion-control.md. 所有模型與指南: https://doitong.com/developers/llms.txt